summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog6
-rwxr-xr-xxtests/run-xtests.sh11
-rw-r--r--xtests/tst-pam_limits1.c7
3 files changed, 22 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index a83809c8..2d82849f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2007-09-27 Thorsten Kukuk <kukuk@thkukuk.de>
+
+ * xtests/run-xtests.sh: Add support to skip tests.
+ * xtests/tst-pam_limits1.c: Skip test if RLIMIT_NICE is not
+ defined.
+
2007-09-03 Steve Langasek <vorlon@debian.org>
* modules/pam_limits/pam_limits.c: remove a number of unnecessary
diff --git a/xtests/run-xtests.sh b/xtests/run-xtests.sh
index 76daba22..24adf121 100755
--- a/xtests/run-xtests.sh
+++ b/xtests/run-xtests.sh
@@ -13,6 +13,7 @@ XTESTS="$@"
failed=0
pass=0
+skiped=0
all=0
mkdir -p /etc/security
@@ -27,7 +28,11 @@ for testname in $XTESTS ; do
else
./$testname > /dev/null
fi
- if test $? -ne 0 ; then
+ RETVAL=$?
+ if test $RETVAL -eq 77 ; then
+ echo "SKIP: $testname"
+ skiped=`expr $skiped + 1`
+ elif test $RETVAL -ne 0 ; then
echo "FAIL: $testname"
failed=`expr $failed + 1`
else
@@ -42,11 +47,13 @@ mv /etc/security/limits.conf-pam-xtests /etc/security/limits.conf
if test "$failed" -ne 0; then
echo "==================="
echo "$failed of $all tests failed"
+ echo "$skiped tests not run"
echo "==================="
exit 1
else
echo "=================="
- echo "All $all tests passed"
+ echo "$all tests passed"
+ echo "$skiped tests not run"
echo "=================="
fi
exit 0
diff --git a/xtests/tst-pam_limits1.c b/xtests/tst-pam_limits1.c
index cf025d3d..ed3d3679 100644
--- a/xtests/tst-pam_limits1.c
+++ b/xtests/tst-pam_limits1.c
@@ -98,6 +98,7 @@ main(int argc, char *argv[])
if (argc > 1 && strcmp (argv[1], "-d") == 0)
debug = 1;
+#ifdef RLIMIT_NICE
retval = pam_start("tst-pam_limits1", user, &conv, &pamh);
if (retval != PAM_SUCCESS)
{
@@ -145,4 +146,10 @@ main(int argc, char *argv[])
return 1;
}
return 0;
+#else
+ if (debug)
+ fprintf (stderr, "pam_limits1: RLIMIT_NICE does not exist)\n");
+
+ return 77;
+#endif
}